Subject: [PATCH 1/3] crypto: marvell/cesa - replace dma_to_phys with dma_map_single

From: [email-masked] (Sinan Kaya)
Date: Fri, 18 Mar 2016 10:00:54 -0400

On 3/18/2016 9:51 AM, Sinan Kaya wrote:
> Another option is I can write
> 
>      engine->sram_dma = swiotlb_dma_to_phys(res->start)

I realized that I made a mistake in the commit message and the code above.

The code is trying to find DMA address from physical address. Not the other
way around. I'll fix it on the next version. 

The correct suggestion above would be 

      engine->sram_dma = swiotlb_phys_to_dmares->start)

-- 
Sinan Kaya
Qualcomm Technologies, Inc. on behalf of Qualcomm Innovation Center, Inc.
Qualcomm Innovation Center, Inc. is a member of Code Aurora Forum, a Linux Foundation Collaborative Project